MIX_SetMixerGain(3)

NAME
MIX_SetMixerGain - Set a mixer's master gain control.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

bool MIX_SetMixerGain(MIX_Mixer *mixer, float gain);

DESCRIPTION
Each mixer has a master gain, to adjust the volume of the entire mix. Each sample passing through the pipeline is modulated by this gain value. A gain of zero will generate silence, 1.0f will not change the mixed volume, and larger than 1.0f will increase the volume. Negative values are illegal. There is no maximum gain specified, but this can quickly get extremely loud, so please be careful with this setting.

A mixer's master gain defaults to 1.0f.

This value can be changed at any time to adjust the future mix.

FUNCTION PARAMETERS

mixer
    the mixer to adjust.

gain
    the new gain value.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_GetMixerGain(3), MIX_SetTrackGain(3)